<?xml version="1.0" encoding="Shift_JIS" ?>
			<!-- mkezdoc.xsl -->
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
<xsl:output method="xml" encoding="Shift_JIS" indent="yes"/>
<!-- =====ezdoc-ini.xml===================================================== -->
<xsl:template match="/">
	<xsl:apply-templates select="parameter"/>
</xsl:template>

<xsl:template match="parameter">
	<xsl:apply-templates select="name"/>
</xsl:template>

<xsl:template match="name">
	<xsl:apply-templates select="document('./ezdoc.xml')/article">
		<xsl:with-param name="name" select="."/>
	</xsl:apply-templates>
</xsl:template>
<!-- =====ezdoc.xml========================================================= -->
<xsl:template match="article">
	<xsl:param name="name" select="''"/>
	<xsl:text>
			</xsl:text>
	<xsl:comment> ezdoc.xml </xsl:comment>
	<xsl:processing-instruction name="xml-stylesheet">
		<xsl:text>type="text/xsl" href="./</xsl:text>
		<xsl:value-of select="$name"/>
		<xsl:text>.xsl"</xsl:text>
	</xsl:processing-instruction>
	<xsl:comment> ======================================================================= </xsl:comment>
	<xsl:copy-of select="."/>
</xsl:template>

</xsl:stylesheet>
